memory File Reference
Technical Specifications » Library Fundamentals TS

Go to the source code of this file.

## Namespaces

namespace | std
namespace | std::experimental

## Macros

#define | __cpp_lib_experimental_observer_ptr
#define | _GLIBCXX_EXPERIMENTAL_MEMORY

## Functions

template<typename _Tp>
constexpr observer_ptr< _Tp > | std::experimental::make_observer (_Tp *__p) noexcept
template<typename _Tp>
constexpr bool | std::experimental::operator!= (nullptr_t, observer_ptr< _Tp > __p) noexcept
template<typename _Tp>
bool | std::experimental::operator!= (observer_ptr< _Tp > __p, nullptr_t) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::experimental::operator!= (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp, typename _Up>
constexpr bool | std::experimental::operator< (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp, typename _Up>
constexpr bool | std::experimental::operator<= (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp>
constexpr bool | std::experimental::operator== (nullptr_t, observer_ptr< _Tp > __p) noexcept
template<typename _Tp>
constexpr bool | std::experimental::operator== (observer_ptr< _Tp > __p, nullptr_t) noexcept
template<typename _Tp, typename _Up>
constexpr bool | std::experimental::operator== (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp, typename _Up>
constexpr bool | std::experimental::operator> (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp, typename _Up>
constexpr bool | std::experimental::operator>= (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp>
constexpr void | std::experimental::swap (observer_ptr< _Tp > &__p1, observer_ptr< _Tp > &__p2) noexcept

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/memory.

## Macro Definition Documentation

## __cpp_lib_experimental_observer_ptr

#define __cpp_lib_experimental_observer_ptr

Definition at line 58 of file experimental/memory.

## _GLIBCXX_EXPERIMENTAL_MEMORY

#define _GLIBCXX_EXPERIMENTAL_MEMORY

Definition at line 35 of file experimental/memory.